package com.chinacreator.kafka.config;

import java.util.concurrent.Executor;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

//@Configuration
//@EnableAsync
/**
 * @author 周旭
 * @date 20201210
 */
public class AsyncConfig {
	/*
	此处成员变量应该使用@Value从配置中读取
	*/
	private int corePoolSize = 30;
	private int maxPoolSize = 200;
	private int queueCapacity = 10;
	@Bean
	public Executor taskExecutor() {
		ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
		executor.setCorePoolSize(corePoolSize);
		executor.setMaxPoolSize(maxPoolSize);
		executor.setQueueCapacity(queueCapacity);
		executor.initialize();
		return executor;
	}
}
