package com.chinacreator.kafka.mapper;

import com.chinacreator.kafka.bean.QueenCardBean;
import java.util.HashMap;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 女王卡处理
 * @author xu.zhou
 * @date 20201218
 */
public interface QueenCardDao{
	 
	/***
	 * 订购
	 * @param bean
	 * @return
	 */
	int order(QueenCardBean bean);
	
	/**
	 * 退订
	 * @param bean
	 * @return
	 */
	int cancel(QueenCardBean bean);
	
	/**
	 * 添加处理日志
	 * @param bean
	 * @return
	 */
	int insertLogData(QueenCardBean bean);
	
	/**
	 * 查询已有订购关系
	 * @param serialNumber
	 * @param productId
	 * @return
	 */
	List<HashMap> queryReal(@Param("serialNumber")String serialNumber, @Param("productId")String productId);
}