package com.chinacreator.kafka.service;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.jboss.logging.Logger;

public class BaseService {
	
	public void process(){
		
	}
	
	/**
	 * 按指定标识去重复
	 * @param list 原始数据
	 * @param repeatFalg 重复标识，多个用##分隔，比如用USERID和SPID进行去重复，参数值是USERID##SPID
	 */
	public void delRepeat(List<HashMap> list, String repeatFalg, Logger logger){
		if(list == null || list.size() == 0){
			return;
		}	
		if(StringUtils.isEmpty(repeatFalg)){
			return;
		}
		String [] array = repeatFalg.split("##");
		HashMap<String, String> tmpmap = new HashMap<String, String>();
		if(list != null && list.size()>0){
			if(logger != null){
				logger.info("repeatFalg=>"+repeatFalg+"，去重复前数据个数："+list.size());
			}
			Iterator<HashMap> it = list.iterator();;
			HashMap<String, Object> hm = null;
			String key = "";
			while(it.hasNext()){
				hm = it.next();
				key = "";
				for(String s : array){
					if(!StringUtils.isEmpty(s)){
						if("".equals(key)){
							key += hm.get(s);
						}else{
							key += "##"+hm.get(s);
						}					
					}
				}
				if(tmpmap.containsKey(key)){
					it.remove(); //移除对象
					continue;
				}else{
					tmpmap.put(key,"FLAG");
				}
			}
			if(logger != null){
				logger.info("去重复后数据个数："+list.size());
			}
		}
	}
	
	public  void sleep(long milliscond, Logger logger){
		logger.info("查询无数据，先休息一会 ............");
		try {
			Thread.currentThread().sleep(milliscond);
		} catch (Exception e1) {
			logger.info("sleeping error ..."+e1.getMessage());
		}
	}
}
