package com.chinacreator.kafka.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 参数配置类，用于非注入类使用配置文件的属性值
 * @author xu。zhou
 * @date 20201218
 */
@Component
public class ParamsConfig {
	
	//#九楼抖音透传接口地址
	public static String douyinurl;
	
	//#抖音DES加密PWD
	public static String douyinpwd;
	
	//女王卡产品ID
	public static String qcproductid; 
	
	//扣减流量接口地址
	public static String spflowconsurl;
	
	//扣减流量接口channel
	public static String conschannel;
	
	//扣减流量接口pwd
	public static String conspwd;
	
	//订购关系同步成功后要发送短信的产品编码，多个用|分隔
	public static String sendsmsspid;
	
	@Value("${config.smssend.spid}")
	public void setSendsmsspid(String _sendsmsspid){
		ParamsConfig.sendsmsspid = _sendsmsspid;
	}
	
	@Value("${config.queencard.productid}")
	public void setQcproductid(String _qcproductid){
		ParamsConfig.qcproductid = _qcproductid;
	}
	
	@Value("${douyin.invoke.url}")
	public void setDouyinurl(String _douyinurl){
		ParamsConfig.douyinurl = _douyinurl;
	}
	
	@Value("${douyin.invoke.pwd}")
	public void setDouyinpwd(String _douyinpwd){
		ParamsConfig.douyinpwd = _douyinpwd;
	}

	@Value("${SPFLOWCONSURL}")
	public void setSpflowconsurl(String _spflowconsurl) {
		this.spflowconsurl = _spflowconsurl;
	}

	@Value("${CONSCHANNEL}")
	public void setConschannel(String _conschannel) {
		this.conschannel = _conschannel;
	}

	@Value("${CONSPWD}")
	public void setConspwd(String _conspwd) {
		this.conspwd = _conspwd;
	}
}
