package com.chinacreator.kafka.util;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public class ReadUtil {

	public static List<String> readTxt(String filename,String encode){ 
		List<String> list = new ArrayList<String>();
		BufferedReader br = null;
		try{
			br = new BufferedReader(new InputStreamReader(new FileInputStream(filename), encode));
			String data = br.readLine();
			while (data != null) {
					if(!data.trim().equals("")){
						list.add(data);
					}
					data = br.readLine();
			}
		}catch(Exception e){
			e.printStackTrace();
		}finally{
			try {
				br.close();
			} catch (IOException e) {
				e.printStackTrace();
			}	
		}
		return list;
		}
}
